%define _unpackaged_files_terminate_build 1
%define module Net-Interface

Name: perl-%module
Version: 1.016
Release: alt6
Packager: Sergey Y. Afonin <asy@altlinux.ru>

Summary: Perl extension to access network interfaces
License: perl
Group: Development/Perl

Url: %CPAN %module
Source: http://www.cpan.org/authors/id/M/MI/MIKER/Net-Interface-%{version}.tar.gz

Patch100: Net-Interface-1.012-overflow.patch

# Automatically added by buildreq on Tue Oct 11 2011
BuildRequires: perl-devel

%description
Net::Interface is a module that allows access to the host
network interfaces in a manner similar to ifconfig(8).

%prep
%setup -q -n %module-%version

%patch100 -p0

if [ %version = 1.016 ]; then
	# need a patch to fix buffer overflow
	rm -rf t
fi

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README* Changes
%perl_vendor_archlib/Net*
%perl_vendor_autolib/Net*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.016-alt6
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.016-alt5
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.016-alt4
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.016-alt3.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.016-alt2.1
- rebuild with perl 5.26

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 1.016-alt1.1
- rebuild with new perl 5.24
- TODO: need a patch to fix buffer overflow

* Sun Sep 25 2016 Igor Vlasenko <viy@altlinux.ru> 1.016-alt1
- automated CPAN update

* Wed Nov 25 2015 Igor Vlasenko <viy@altlinux.ru> 1.012-alt4.1.1
- rebuild with new perl 5.22.0

* Tue Dec 09 2014 Igor Vlasenko <viy@altlinux.ru> 1.012-alt4.1
- rebuild with new perl 5.20.1

* Thu Aug 29 2013 Vladimir Lettiev <crux@altlinux.ru> 1.012-alt4
- built for perl 5.18

* Sun Sep 02 2012 Vladimir Lettiev <crux@altlinux.ru> 1.012-alt3
- rebuilt for perl-5.16

* Tue Oct 11 2011 Alexey Tourbin <at@altlinux.ru> 1.012-alt2
- rebuilt for perl-5.14

* Wed Apr 06 2011 Sergey Y. Afonin <asy@altlinux.ru> 1.012-alt1
- New version
- Attempt to fix "Always overflow destination buffer" in code for IPv6
  (untested patch; CPAN bug 57658)

* Sat Nov 06 2010 Vladimir Lettiev <crux@altlinux.ru> 0.11-alt1.1
- rebuilt with perl 5.12

* Tue Sep 02 2008 Sergey Y. Afonin <asy@altlinux.ru> 0.09-alt1
- New version
- fixed directory ownership violation

* Mon May 07 2007 Sergey Y. Afonin <asy@altlinux.ru> 0.08-alt1
- New version

* Tue Jul 27 2004 Alexander V. Denisov <rupor at altlinux dot ru> 0.04.1-alt1
- Initial build for ALTLinux
